SphinxClient::setRetries
SphinxClient::setSortMode
SphinxClient
PHP Manual

# SphinxClient::setServer

(No version information available, might be only in CVS)

SphinxClient::setServer — Set searchd host and port

### Description

public bool SphinxClient::setServer ( string `$server` , int `$port` )

Sets searchd host name and TCP port. All subsequent requests will use the new host and port settings. Default host and port are 'localhost' and 3312, respectively.

### Parameters

`server`

  IP or hostname.

`port`

  Port number.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

SphinxClient::setRetries
SphinxClient::setSortMode
SphinxClient
PHP Manual